PROBE::SIGNAL.HAND(3stap)

NAME
probe::signal.handle - Signal handler being invoked

SYNOPSIS

signal.handle

VALUES

sig_code
    The si_code value of the siginfo signal

ka_addr
    The address of the k_sigaction table associated with the signal

regs
    The address of the kernel-mode stack area (deprecated in SystemTap 2.1)

sig_name
    A string representation of the signal

oldset_addr
    The address of the bitmask array of blocked signals (deprecated in SystemTap 2.1)

sig
    The signal number that invoked the signal handler

sinfo
    The address of the siginfo table

sig_mode
    Indicates whether the signal was a user-mode or kernel-mode signal

name
    Name of the probe point

SEE ALSO
tapset::signal(3stap)